http_port 3128
icp_port 3130

acl all src 0.0.0.0/0.0.0.0
cache_peer 192.168.50.100 parent 80 7 no-query default
never_direct allow all

hierarchy_stoplist cgi-bin ?
hierarchy_stoplist cgi-bin ? pl mail.yahoo login 
hierarchy_stoplist login
hierarchy_stoplist edit.yahoo.com 
hierarchy_stoplist mail.yahoo.com 
hierarchy_stoplist login.yahoo.com 
hierarchy_stoplist hotmail.com 
hierarchy_stoplist passport.com 

acl QUERY urlpath_regex cgi-bin \? login
no_cache deny QUERY

cache_mem  32 MB
ipcache_size 1024
cache_dir /proxy_cache 1500 16 256
cache_access_log /var/log/squid/access.log
cache_log /var/log/squid/cache.log
cache_store_log /var/log/squid/store.log
emulate_httpd_log on
ftp_user Squid@test.com
cache_dns_program /usr/lib/squid/dnsserver
dns_children 7

# 2 Days
refresh_pattern -i       \.(exe|gz|tar|tgz|zip)$        2880    20%    10080 reload-into-ims
refresh_pattern		^ftp:		2880	20%	10080
refresh_pattern		^gopher:	2880	0%	2880

# 7 Days
refresh_pattern -i       \.(htm|html|shtml|txt)$          10080    90%    129600 reload-into-ims
refresh_pattern -i       \.(mid|mp[234]|wav)$          10080    90%    43200 reload-into-ims

# 15 Days
refresh_pattern -i       \.(au|bmp|cs|class|doc|gif|jpeg|jpg|js|pdf|pic|png|ram|rm)$    21600    90%    129600 reload-into-ims
refresh_pattern -i      .               0       5%      4320

quick_abort_pct 60
negative_ttl 1 minutes
negative_dns_ttl 1 minutes
connect_timeout 180 seconds
request_timeout 360 seconds

acl all src 0.0.0.0/0.0.0.0
acl manager proto cache_object
acl localhost src 127.0.0.1/255.255.255.255
acl allowedhosts1 src 0.0.0.0/0.0.0.0 
acl allowedhosts2 src 192.168.168.1-192.168.168.254
acl SSL_ports port 443 563
acl Safe_ports port 80 21 443 563 70 210 1025-65535
acl Safe_ports port 280		# http-mgmt
acl Safe_ports port 488		# gss-http
acl Safe_ports port 591		# filemaker
acl Safe_ports port 777		# multiling http
acl CONNECT method CONNECT

http_access allow manager localhost
http_access allow allowedhosts1
http_access allow allowedhosts2 
http_access deny manager
http_access deny !Safe_ports
http_access deny CONNECT !SSL_ports
http_access deny all

icp_access allow all
miss_access allow all
visible_hostname NetShare

cache_effective_user squid
cache_effective_group squid

httpd_accel_host virtual
httpd_accel_port 80

httpd_accel_with_proxy on
httpd_accel_uses_host_header on
forwarded_for off
log_icp_queries off
icp_hit_stale on
reload_into_ims on
prefer_direct on
